﻿:root {
  --header-font: normal normal 400 32px/32px budget_greet_bold;
  --mobile-header-font: normal normal 400 24px/24px budget_greet_bold;
  --primary-font: normal normal 400 20px/24px budget_greet_bold;
  --bold-font: normal normal 700 16px/24px inter_bold;
  --semibold-font: normal normal 600 16px/24px inter_semibold;
  --regular-font: normal normal 400 16px/24px inter_regular;
  --regular-small-font: normal normal 400 12px/16px inter_regular;
  --medium-font: normal normal 600 16px/24px inter_medium;

  --white-color: #FFFFFF;
  --black-color: #000000;
  --background-color: #00D780;
  --header-text-color: #029B77;
  --secondary-text-color: #6E6E6E;
  --exception-text-color: #D92D20;
  --regular-color: #242424;
  --regular-highlight-color: #3C3C3C;
  --exception-color: #C64C4C;
  --notification-color: #FFFAF1;
}

/* Common styles */
.position-relative {
  position: relative;
}
.margin-bottom-24 {
  margin-bottom: 24px;
}
.margin-bottom-20 {
  margin-bottom: 20px;
}
.margin-bottom-16 {
  margin-bottom: 16px;
}
.margin-bottom-8 {
  margin-bottom: 8px;
}
.margin-bottom-4 {
  margin-bottom: 4px;
}
.margin-bottom-0 {
  margin-bottom: 0;
}

/* Layout styles */
.body-container {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: flex-start;
}
.body-content {
  width: 100%;
}

/* Chat bot styles */
div.cvco-app button.cvco-window-open-button.cvco-window-open-button {
  height: 50px;
  width: 50px;
  background-color: var(--black-color);
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.1);
}

/* Text styles */
strong {
  font: var(--bold-font);
  color: var(--regular-color);
  letter-spacing: 0;
  overflow-wrap: break-word;
}
.primary-text {
  color: var(--header-text-color);
  text-align: left;
  vertical-align: middle;
  text-transform: uppercase;
  margin-bottom: 0;
  letter-spacing: 0;
}
.regular-text {
  font: var(--regular-font);
  color: var(--regular-color);
  text-align: left;
  letter-spacing: 0;
  overflow-wrap: break-word;
}
.regular-text-small {
  font: var(--regular-small-font);
  color: var(--regular-color);
  text-align: left;
  letter-spacing: 0;
  overflow-wrap: break-word;
}
.highlight-text {
  font: var(--bold-font);
  color: var(--black-color);
  text-decoration: underline 1px solid var(--black-color);
  text-underline-offset: 3px;
}

/* Link styles */
a.link-arrow {
  display: inline-block;
  background-image: url('/assets/shared/arrow_right.svg');
  background-position: left center;
  background-repeat: no-repeat;
  padding-left: 20px;
  font: var(--semibold-font);
  color: var(--black-color);
  text-decoration: underline 1px solid var(--black-color);
  text-underline-offset: 3px;
  letter-spacing: 0;
}
a.link-inline {
  display: inline;
  color: var(--black-color);
  text-decoration: underline 1px solid var(--black-color);
  text-underline-offset: 3px;
  letter-spacing: 0;
}
a.link-arrow:hover,
a.link-inline:hover {
  color: var(--regular-highlight-color);
}

/* Validation styles */
.validation-error,
.form-group span.error {
  display: block;
  font: var(--regular-small-font);
  color: var(--exception-text-color);
  margin-top: 8px;
  letter-spacing: 0;
}
#changeEmailForm:has(div.validation-error) div.form-group,
#forgotPasswordForm:has(div.validation-error) div.form-group,
#passwordlessLoginForm:has(div.validation-error) div.form-group,
#loginForm:has(div.validation-error) div.form-group:nth-last-of-type(2),
#resetPasswordForm:has(div.validation-error) div.form-group:nth-last-of-type(2) {
  margin-bottom: 0;
}

/* Reset password page styles */
.validation-rules {
  margin-top: 8px;
  font: var(--regular-small-font);
  letter-spacing: 0;
  color: var(--regular-color);
}
.rule-block {
  display: flex;
  align-items: center;
  margin-top: 2px;
}
.rule-block.warning-state {
  color: var(--exception-text-color);
}
.icon-state {
  width: 16px;
  height: 16px;
  margin-right: 4px;
}
.icon-state::before {
  content: url('../../assets/shared/icon_cross.svg');
}
.icon-state.success-state::before {
  content: url('../../assets/shared/icon_checkmark.svg');
}
.icon-state.warning-state::before {
  content: url('../../assets/shared/icon_cross_warning.svg');
}

/* Logout page styles */
.signout-iframe {
  display: block;
  border: none;
}
